Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cayenne.ejbql.parser
Interface EJBQLConstants

All Known Implementing Classes:
  EJBQL, EJBQLTokenManager

    public interface EJBQLConstants

Field Summary
`static int` | `ABS`
`static int` | `ALL`
`static int` | `AND`
`static int` | `ANY`
`static int` | `AS`
`static int` | `ASC`
`static int` | `AVG`
`static int` | `BETWEEN`
`static int` | `BOOLEAN_LITERAL`
`static int` | `BOTH`
`static int` | `BY`
`static int` | `CHARACTER_LITERAL`
`static int` | `COMMA`
`static int` | `CONCAT`
`static int` | `COUNT`
`static int` | `CURRENT_DATE`
`static int` | `CURRENT_TIME`
`static int` | `CURRENT_TIMESTAMP`
`static int` | `DECIMAL_LITERAL`
`static int` | `DEFAULT`
`static int` | `DELETE`
`static int` | `DESC`
`static int` | `DIGIT`
`static int` | `DISTINCT`
`static int` | `DIV`
`static int` | `DOT`
`static int` | `EMPTY`
`static int` | `EOF`
`static int` | `EQ`
`static int` | `ESCAPE`
`static int` | `EXISTS`
`static int` | `EXPONENT`
`static int` | `FETCH`
`static int` | `FROM`
`static int` | `GE`
`static int` | `GROUP`
`static int` | `GT`
`static int` | `HAVING`
`static int` | `IDENTIFIER`
`static int` | `IN`
`static int` | `INNER`
`static int` | `INTEGER_LITERAL`
`static int` | `IS`
`static int` | `JOIN`
`static int` | `LE`
`static int` | `LEADING`
`static int` | `LEFT`
`static int` | `LENGTH`
`static int` | `LETTER`
`static int` | `LIKE`
`static int` | `LOCATE`
`static int` | `LOWER`
`static int` | `LT`
`static int` | `MAX`
`static int` | `MEMBER`
`static int` | `MIN`
`static int` | `MINUS`
`static int` | `MOD`
`static int` | `NE`
`static int` | `NEW`
`static int` | `NOT`
`static int` | `NULL`
`static int` | `OBJECT`
`static int` | `OF`
`static int` | `OR`
`static int` | `ORDER`
`static int` | `OUTER`
`static int` | `PLUS`
`static int` | `SELECT`
`static int` | `SET`
`static int` | `SIZE`
`static int` | `SOME`
`static int` | `SQRT`
`static int` | `STRING_LITERAL`
`static int` | `SUBSTRING`
`static int` | `SUM`
`static int` | `TIMES`
`static String[]` | `tokenImage`
`static int` | `TRAILING`
`static int` | `TRIM`
`static int` | `UPDATE`
`static int` | `UPPER`
`static int` | `WHERE`

Field Detail

### EOF

    static final int EOF

See Also:
  Constant Field Values

### COMMA

    static final int COMMA

See Also:
  Constant Field Values

### DOT

    static final int DOT

See Also:
  Constant Field Values

### EQ

    static final int EQ

See Also:
  Constant Field Values

### NE

    static final int NE

See Also:
  Constant Field Values

### GT

    static final int GT

See Also:
  Constant Field Values

### GE

    static final int GE

See Also:
  Constant Field Values

### LT

    static final int LT

See Also:
  Constant Field Values

### LE

    static final int LE

See Also:
  Constant Field Values

### PLUS

    static final int PLUS

See Also:
  Constant Field Values

### MINUS

    static final int MINUS

See Also:
  Constant Field Values

### TIMES

    static final int TIMES

See Also:
  Constant Field Values

### DIV

    static final int DIV

See Also:
  Constant Field Values

### NEW

    static final int NEW

See Also:
  Constant Field Values

### ALL

    static final int ALL

See Also:
  Constant Field Values

### ANY

    static final int ANY

See Also:
  Constant Field Values

### EXISTS

    static final int EXISTS

See Also:
  Constant Field Values

### SOME

    static final int SOME

See Also:
  Constant Field Values

### EMPTY

    static final int EMPTY

See Also:
  Constant Field Values

### ASC

    static final int ASC

See Also:
  Constant Field Values

### DESC

    static final int DESC

See Also:
  Constant Field Values

### ORDER

    static final int ORDER

See Also:
  Constant Field Values

### BY

    static final int BY

See Also:
  Constant Field Values

### IS

    static final int IS

See Also:
  Constant Field Values

### MEMBER

    static final int MEMBER

See Also:
  Constant Field Values

### OF

    static final int OF

See Also:
  Constant Field Values

### LIKE

    static final int LIKE

See Also:
  Constant Field Values

### ESCAPE

    static final int ESCAPE

See Also:
  Constant Field Values

### BETWEEN

    static final int BETWEEN

See Also:
  Constant Field Values

### NULL

    static final int NULL

See Also:
  Constant Field Values

### AVG

    static final int AVG

See Also:
  Constant Field Values

### MIN

    static final int MIN

See Also:
  Constant Field Values

### MAX

    static final int MAX

See Also:
  Constant Field Values

### SUM

    static final int SUM

See Also:
  Constant Field Values

### COUNT

    static final int COUNT

See Also:
  Constant Field Values

### OR

    static final int OR

See Also:
  Constant Field Values

### AND

    static final int AND

See Also:
  Constant Field Values

### NOT

    static final int NOT

See Also:
  Constant Field Values

### CONCAT

    static final int CONCAT

See Also:
  Constant Field Values

### SUBSTRING

    static final int SUBSTRING

See Also:
  Constant Field Values

### TRIM

    static final int TRIM

See Also:
  Constant Field Values

### LOWER

    static final int LOWER

See Also:
  Constant Field Values

### UPPER

    static final int UPPER

See Also:
  Constant Field Values

### LEADING

    static final int LEADING

See Also:
  Constant Field Values

### TRAILING

    static final int TRAILING

See Also:
  Constant Field Values

### BOTH

    static final int BOTH

See Also:
  Constant Field Values

### LENGTH

    static final int LENGTH

See Also:
  Constant Field Values

### LOCATE

    static final int LOCATE

See Also:
  Constant Field Values

### ABS

    static final int ABS

See Also:
  Constant Field Values

### SQRT

    static final int SQRT

See Also:
  Constant Field Values

### MOD

    static final int MOD

See Also:
  Constant Field Values

### SIZE

    static final int SIZE

See Also:
  Constant Field Values

### CURRENT_DATE

    static final int CURRENT_DATE

See Also:
  Constant Field Values

### CURRENT_TIME

    static final int CURRENT_TIME

See Also:
  Constant Field Values

### CURRENT_TIMESTAMP

    static final int CURRENT_TIMESTAMP

See Also:
  Constant Field Values

### SELECT

    static final int SELECT

See Also:
  Constant Field Values

### DISTINCT

    static final int DISTINCT

See Also:
  Constant Field Values

### FROM

    static final int FROM

See Also:
  Constant Field Values

### UPDATE

    static final int UPDATE

See Also:
  Constant Field Values

### DELETE

    static final int DELETE

See Also:
  Constant Field Values

### WHERE

    static final int WHERE

See Also:
  Constant Field Values

### GROUP

    static final int GROUP

See Also:
  Constant Field Values

### HAVING

    static final int HAVING

See Also:
  Constant Field Values

### AS

    static final int AS

See Also:
  Constant Field Values

### LEFT

    static final int LEFT

See Also:
  Constant Field Values

### OUTER

    static final int OUTER

See Also:
  Constant Field Values

### INNER

    static final int INNER

See Also:
  Constant Field Values

### JOIN

    static final int JOIN

See Also:
  Constant Field Values

### FETCH

    static final int FETCH

See Also:
  Constant Field Values

### IN

    static final int IN

See Also:
  Constant Field Values

### SET

    static final int SET

See Also:
  Constant Field Values

### OBJECT

    static final int OBJECT

See Also:
  Constant Field Values

### INTEGER_LITERAL

    static final int INTEGER_LITERAL

See Also:
  Constant Field Values

### DECIMAL_LITERAL

    static final int DECIMAL_LITERAL

See Also:
  Constant Field Values

### BOOLEAN_LITERAL

    static final int BOOLEAN_LITERAL

See Also:
  Constant Field Values

### EXPONENT

    static final int EXPONENT

See Also:
  Constant Field Values

### STRING_LITERAL

    static final int STRING_LITERAL

See Also:
  Constant Field Values

### CHARACTER_LITERAL

    static final int CHARACTER_LITERAL

See Also:
  Constant Field Values

### IDENTIFIER

    static final int IDENTIFIER

See Also:
  Constant Field Values

### LETTER

    static final int LETTER

See Also:
  Constant Field Values

### DIGIT

    static final int DIGIT

See Also:
  Constant Field Values

### DEFAULT

    static final int DEFAULT

See Also:
  Constant Field Values

### tokenImage

    static final String[] tokenImage

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Apache Cayenne. All Rights Reserved.